Skip to main content
GET
/
v2
/
inferred-connections
/
coworkers
Get Coworker Inferred Connections
curl --request GET \
  --url https://api.affinity.co/v2/inferred-connections/coworkers \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "target": {
        "firstName": "Bob",
        "lastName": "Lee",
        "title": "CEO",
        "linkedinUrl": "https://www.linkedin.com/in/boblee",
        "currentCompany": {
          "id": 123,
          "name": "Acme",
          "domain": "acme.com"
        }
      },
      "connections": [
        {
          "confidence": 0.82,
          "source": {
            "id": 42,
            "firstName": "Alice",
            "lastName": "Roe",
            "primaryEmailAddress": "alice@northpointvc.com"
          },
          "inference": {
            "sharedEmployer": {
              "id": 555,
              "name": "Globex",
              "domain": "globex.com"
            },
            "overlapStartDate": "2018-03-01",
            "overlapEndDate": "2020-11-30"
          }
        }
      ]
    }
  ],
  "pagination": {
    "prevUrl": "https://api.affinity.co/v2/foo?cursor=ICAgICAgYmVmb3JlOjo6Nw",
    "nextUrl": "https://api.affinity.co/v2/foo?cursor=ICAgICAgIGFmdGVyOjo6NA",
    "totalCount": 42
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

filter
string
required

Filter options. At least one filter is required; the only currently supported filter is target.currentCompany.id, which narrows the targets to the one company the target person currently works at. Filtering on more than one company returns a 400.

cursor
string

Cursor for the next or previous page

limit
integer<int32>
default:20

Number of targets to include in the page

Required range: 1 <= x <= 50
totalCount
boolean
default:false

Include total count of the collection in the pagination response

Response

OK

A paginated list of shared-work-history connections grouped by target person. Each item is one target and the connections inferred to them.

data
CoworkerConnectionGroup · object[]
required

A page of targets, each with the shared-work-history connections to them, ordered by each target's strongest connection (strongest first).

Maximum array length: 50
pagination
PaginationWithTotalCount · object
required